From 47023533d0c73f20a3b97f0b97cd6622a3a5ced8 Mon Sep 17 00:00:00 2001
From: teldra <teldra@rotce.de>
Date: Sun, 5 May 2019 11:00:47 +0200
Subject: [PATCH] steam: update to 1.0.0.61

---
 srcpkgs/steam/template | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/steam/template b/srcpkgs/steam/template
index d0c560dca84..efc3d2a7621 100644
--- a/srcpkgs/steam/template
+++ b/srcpkgs/steam/template
@@ -1,25 +1,22 @@
 # Template file for 'steam'
 pkgname=steam
-version=1.0.0.59
+version=1.0.0.61
 revision=1
-wrksrc=steam
 archs="i686 x86_64"
+wrksrc=steam
 depends="zenity xz curl dbus freetype gdk-pixbuf hicolor-icon-theme desktop-file-utils liberation-fonts-ttf"
 short_desc="Digital distribution client bootstrap package - Valve's steam client"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
-license="Proprietary license"
+license="custom: Proprietary license"
 homepage="https://steampowered.com/"
 distfiles="http://repo.steampowered.com/${pkgname}/pool/${pkgname}/s/${pkgname}/${pkgname}_${version}.tar.gz"
-checksum=a5080db949793fc4eb543293a95a24131441a96ccc8f5deebdecd7257cfcd99f
+checksum=d66413cce9c9ad441f95c4377103b0c71bda4ac4570ecfc7dd2464fe4ef1bd30
 repository=nonfree
 
 do_install() {
 	make DESTDIR=${DESTDIR} install
 
-	# Link license
-	vmkdir usr/share/licenses/steam
-	ln -sfr ${DESTDIR}/usr/share/doc/steam/steam_install_agreement.txt \
-		${DESTDIR}/usr/share/licenses/steam/LICENSE
+	vlicense steam_subscriber_agreement.txt LICENSE
 
 	# Ignore steamdeps.
 	ln -sf /bin/true ${DESTDIR}/usr/bin/steamdeps
